ros-jazzy-launch (3.4.9-1noble) noble; urgency=high

  * [backport jazzy] Make the directory-finding substitutions into a PathSubstitution for / operator (backport #914 <https://github.com/ros2/launch//issues/914>) (#918 <https://github.com/ros2/launch//issues/918>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Nov 2025 23:00:00 -0000

ros-jazzy-launch (3.4.8-1noble) noble; urgency=high

  * Fix all/any in xml and yaml launch files (backport #906 <https://github.com/ros2/launch/issues/906>) (#912 <https://github.com/ros2/launch/issues/912>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-jazzy-launch (3.4.7-1noble) noble; urgency=high

  * Allow providing launch args to include using let in frontends (backport #848 <https://github.com/ros2/launch/issues/848>) (#910 <https://github.com/ros2/launch/issues/910>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Oct 2025 22:00:00 -0000

ros-jazzy-launch (3.4.6-1noble) noble; urgency=high

  * Using TimerAction with SetParameter from launch_ros causes crash (backport #879 <https://github.com/ros2/launch/issues/879>) (#893 <https://github.com/ros2/launch/issues/893>)
    Co-authored-by: Christophe Bedard <mailto:bedard.christophe@gmail.com>
  * Remove LaunchDescriptionArgument (#891 <https://github.com/ros2/launch/issues/891>) (#896 <https://github.com/ros2/launch/issues/896>)
    (cherry picked from commit 8fd76bb11c45cdd072b5f3ef4f3800ff63ee3c9a)
    Co-authored-by: Harrison Chen <mailto:hchen.robotics@gmail.com>
  * Contributors: Rafal Gorecki, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Aug 2025 22:00:00 -0000

ros-jazzy-launch (3.4.5-1noble) noble; urgency=high

  * Provide copy of launch configs to TimerAction's entities (#836 <https://github.com/ros2/launch/issues/836>) (#878 <https://github.com/ros2/launch/issues/878>)
  * [backport jazzy] Add a / path join operator for PathJoinSubstitution (#868 <https://github.com/ros2/launch/issues/868>) (#880 <https://github.com/ros2/launch/issues/880>)
  * Contributors: Emerson Knapp, Kenji Brameld (TRACLabs)

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 22 Jun 2025 22:00:00 -0000

ros-jazzy-launch (3.4.4-1noble) noble; urgency=high

  * Document substitutions concatenation in architecture doc (#845 <https://github.com/ros2/launch/issues/845>) (#846 <https://github.com/ros2/launch/issues/846>)
    (cherry picked from commit 6fcc79e38fa711e04be3d392a6691a36ea5de214)
    Co-authored-by: Christophe Bedard <mailto:bedard.christophe@gmail.com>
  * Update docs to use proper RST literals (#837 <https://github.com/ros2/launch/issues/837>) (#839 <https://github.com/ros2/launch/issues/839>)
    (cherry picked from commit 3694dc2a14fdf0dd5ccf9e950ab9d8b60bee8a79)
    Co-authored-by: Christophe Bedard <mailto:bedard.christophe@gmail.com>
  * Merge pull request #834 <https://github.com/ros2/launch/issues/834> from ros2/mergify/bp/jazzy/pr-833
    Fix function params indentation (backport #833 <https://github.com/ros2/launch/issues/833>)
  * Fix function params indentation (#833 <https://github.com/ros2/launch/issues/833>)
    (cherry picked from commit 151b024a7cfac06f0d56798cbe87ab180b9ea3ab)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-launch (3.4.3-1noble) noble; urgency=high

  * Fix 'set up' typo (#813 <https://github.com/ros2/launch/issues/813>) (#814 <https://github.com/ros2/launch/issues/814>)
    (cherry picked from commit fda41a218b990c8e3bcc6c3d61f2862704529257)
    Co-authored-by: Christophe Bedard <mailto:christophe.bedard@apex.ai>
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-launch (3.4.2-1noble) noble; urgency=high

  * (launch) fix describe of PathJoinSubstitution (#771 <https://github.com/ros2/launch/issues/771>)
  * Contributors: Matthijs van der Burgh

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-launch (3.4.1-1noble) noble; urgency=high

  * Small fixes for modern flake8. (#772 <https://github.com/ros2/launch/issues/772>)
  * Cleanup some type annotations.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-launch (3.4.0-1noble) noble; urgency=high

  * Rework task exceptions loop. (#755 <https://github.com/ros2/launch/issues/755>)
  * add format overriding by environment variables (#722 <https://github.com/ros2/launch/issues/722>)
  * Add exception type to error output (#753 <https://github.com/ros2/launch/issues/753>)
  * Contributors: Chris Lalancette, David Yackzan, Marc Bestmann

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-launch (3.3.0-1noble) noble; urgency=high

  * Let XML executables/nodes be "required" (like in ROS 1) (#751 <https://github.com/ros2/launch/issues/751>)
  * Contributors: Matthew Elwin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-launch (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-launch (3.2.0-1noble) noble; urgency=high

  * Add conditional substitution (#734 <https://github.com/ros2/launch/issues/734>)
  * Contributors: Nick Lamprianidis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-launch (3.1.0-1noble) noble; urgency=high

  * Add maximum times for a process to respawn (#696 <https://github.com/ros2/launch/issues/696>)
  * Contributors: Santti4go

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 22:00:00 -0000

ros-jazzy-launch (3.0.1-1noble) noble; urgency=high

  * Add in a timeout for launch pytests. (#725 <https://github.com/ros2/launch/issues/725>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-launch (3.0.0-1noble) noble; urgency=high

  * Fix remaining occurrences of "There is no current event loop" (#723 <https://github.com/ros2/launch/issues/723>)
  * Update the launch code for newer flake8 and mypy. (#719 <https://github.com/ros2/launch/issues/719>)
  * Remove the deprecated some_actions_type.py (#718 <https://github.com/ros2/launch/issues/718>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-launch (2.2.1-1noble) noble; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-launch (2.2.0-1noble) noble; urgency=high

  * Add file-content launch substitution (#708 <https://github.com/ros2/launch/issues/708>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-launch (2.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-launch (2.0.1-1noble) noble; urgency=high

  * Document LaunchService.{run,run_async}() return value (#702 <https://github.com/ros2/launch/issues/702>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-launch (2.0.0-1noble) noble; urgency=high

  * [rosdoc2] Fix document generation on buildfarm (#701 <https://github.com/ros2/launch/issues/701>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#697 <https://github.com/ros2/launch/issues/697>)
  * Remove the import of Literal from entity.py. (#694 <https://github.com/ros2/launch/issues/694>)
  * Fix flake8 errors. (#695 <https://github.com/ros2/launch/issues/695>)
  * add symlink to latest log directory (#686 <https://github.com/ros2/launch/issues/686>)
  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Chris Lalancette, Hervé Audren, Welte, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-launch (1.4.1-1noble) noble; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 23:00:00 -0000

ros-jazzy-launch (1.4.0-1noble) noble; urgency=high

  * Pass modules to PythonExpression (#655 <https://github.com/ros2/launch/issues/655>)
  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash, Blake Anderson, Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-launch (1.3.0-1noble) noble; urgency=high

  * Expect deprecation warnings in tests (#657 <https://github.com/ros2/launch/issues/657>)
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Implement Any, All, Equals, and NotEquals substitutions (#649 <https://github.com/ros2/launch/issues/649>)
  * add LaunchLogDir substitution, replacing log_dir frontend only substitution (#652 <https://github.com/ros2/launch/issues/652>)
  * Add special cases to coerce "1" and "0" to bool when using bool coercion only (#651 <https://github.com/ros2/launch/issues/651>)
  * Contributors: Chris Lalancette, Jacob Perron, William Woodall, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-launch (1.2.0-1noble) noble; urgency=high

  * Update launch/test/launch/test_execute_local.py
  * Added unit test ensuring that output dictionary works with ExecuteLocal
  * Addresses issue #588 <https://github.com/ros2/launch/issues/588>, allowing dict for 'output'
  * Contributors: Matthew Elwin, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-launch (1.1.0-1noble) noble; urgency=high

  * Remove unused variables. (#612 <https://github.com/ros2/launch/issues/612>)
  * Expose shutdown action to xml frontend (#611 <https://github.com/ros2/launch/issues/611>)
  * Contributors: Aditya Pande, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-launch (1.0.1-1noble) noble; urgency=high

  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 22:00:00 -0000

ros-jazzy-launch (1.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Apr 2022 22:00:00 -0000

ros-jazzy-launch (0.23.1-1noble) noble; urgency=high

  * Start Python faster in test_execute_processs_shutdown to avoid flakey failures (#608 <https://github.com/ros2/launch/issues/608>)
  * Fix warnings from importlib_metdata on Python 3.10. (#606 <https://github.com/ros2/launch/issues/606>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-launch (0.23.0-1noble) noble; urgency=high

  * Add boolean substitutions (#598 <https://github.com/ros2/launch/issues/598>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-jazzy-launch (0.22.0-1noble) noble; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>)
  * Fix awaiting shutdown in launch context (#603 <https://github.com/ros2/launch/issues/603>)
  * Fix parse respawn var (#569 <https://github.com/ros2/launch/issues/569>)
  * Make the logged command pretty in ExecuteLocal (#594 <https://github.com/ros2/launch/issues/594>)
  * Contributors: Jacob Perron, Kosuke Takeuchi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-launch (0.21.1-1noble) noble; urgency=high

  * 'output' is expanded as a substitution in XML/YAML files (#577 <https://github.com/ros2/launch/issues/577>)
  * Skip warning test if warning already happend (#585 <https://github.com/ros2/launch/issues/585>)
  * Contributors: Khush Jain, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-launch (0.21.0-1noble) noble; urgency=high

  * Use asyncio.wait with timeout rather than sleep (#576 <https://github.com/ros2/launch/issues/576>)
  * Make test_parser compatible with Python older than 3.8 (#575 <https://github.com/ros2/launch/issues/575>)
  * Propagate exceptions of completed actions to launch service main loop (#566 <https://github.com/ros2/launch/issues/566>)
  * Warn when loading launch extensions fails (#572 <https://github.com/ros2/launch/issues/572>)
  * Add in two fixes for Jammy (#571 <https://github.com/ros2/launch/issues/571>)
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz, tumtom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-launch (0.20.0-1noble) noble; urgency=high

  * Evaluate math symbols and functions in python expression (#557 <https://github.com/ros2/launch/issues/557>)
  * Document TimerAction params (#558 <https://github.com/ros2/launch/issues/558>)
  * Improve launch arguments introspection (#556 <https://github.com/ros2/launch/issues/556>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * event handlers: Allow to match the target action with a callable and not only with an object instance (#540 <https://github.com/ros2/launch/issues/540>)
  * Add AppendEnvironmentVariable action (#543 <https://github.com/ros2/launch/issues/543>)
  * Document EnvironmentVariable substitution resolution context caveat (#541 <https://github.com/ros2/launch/issues/541>)
  * Feature clear launch configs (#515 <https://github.com/ros2/launch/issues/515>)
  * Add examples to ExecuteProcess docs (#525 <https://github.com/ros2/launch/issues/525>)
  * Fix DeclareLaunchArgument xml parsing and constructor (#529 <https://github.com/ros2/launch/issues/529>)
  * Fix pytest run on Windows (#526 <https://github.com/ros2/launch/issues/526>)
  * Improving docs (#523 <https://github.com/ros2/launch/issues/523>)
  * Add filtering mechanism for executable prefix application (#522 <https://github.com/ros2/launch/issues/522>)
  * Contributors: Aditya Pande, Audrow Nash, Cameron Miller, Christophe Bedard, David V. Lu!!, Derek Chopp, Immanuel Martini, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 23:00:00 -0000

ros-jazzy-launch (0.19.0-1noble) noble; urgency=high

  * Make each parser extension provide a set of file extensions (#516 <https://github.com/ros2/launch/issues/516>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 14 Jul 2021 22:00:00 -0000

ros-jazzy-launch (0.18.0-1noble) noble; urgency=high

  * Add missing exec dependency on PyYAML (#493 <https://github.com/ros2/launch/issues/493>)
  * Refactor TimerAction to allow RosTimer to extend (#512 <https://github.com/ros2/launch/issues/512>)
  * Improve (Not)Equals condition type hinting (#510 <https://github.com/ros2/launch/issues/510>)
  * Contributors: HMellor, Rebecca Butler, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-launch (0.17.0-1noble) noble; urgency=high

  * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
  * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
  * Add frontend substitution for logging directory (#490 <https://github.com/ros2/launch/issues/490>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-jazzy-launch (0.16.0-1noble) noble; urgency=high

  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>)
  * Contributors: Victor Lopez

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-jazzy-launch (0.15.0-1noble) noble; urgency=high

  * Support Python 3.8-provided importlib.metadata (#482 <https://github.com/ros2/launch/issues/482>)
  * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
  * Handle signals within the asyncio loop. (#476 <https://github.com/ros2/launch/issues/476>)
  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-launch (0.14.0-1noble) noble; urgency=high

  * print stderr message when command failed (#474 <https://github.com/ros2/launch/issues/474>)
  * Add frontend support for LogInfo action (#467 <https://github.com/ros2/launch/issues/467>)
  * Contributors: Jacob Perron, Takamasa Horibe

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-jazzy-launch (0.13.0-1noble) noble; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml (#468 <https://github.com/ros2/launch/issues/468>)
  * Fix bug in launch.actions.TimerAction.parse() (#470 <https://github.com/ros2/launch/issues/470>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>)
  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Expose Timer action in launch xml (#462 <https://github.com/ros2/launch/issues/462>)
  * Fix dollar symbols in substitution grammar (#461 <https://github.com/ros2/launch/issues/461>)
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Nov 2020 23:00:00 -0000

ros-jazzy-launch (0.12.0-1noble) noble; urgency=high

  * Add new conditions for checking launch configuration values (#453 <https://github.com/ros2/launch/issues/453>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 22:00:00 -0000

ros-jazzy-launch (0.11.1-1noble) noble; urgency=high

  * Refactor launch service run_async loop to wait on futures and queued events (#449 <https://github.com/ros2/launch/issues/449>)
  * Fix documentation typo (#446 <https://github.com/ros2/launch/issues/446>)
  * Fix type_utils.extract_type() function. (#445 <https://github.com/ros2/launch/issues/445>)
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-jazzy-launch (0.11.0-1noble) noble; urgency=high

  * Handle empty strings in type coercion. (#443 <https://github.com/ros2/launch/issues/443>)
  * Consolidate type_utils in a way that can be reused in substitution results that need to be coerced to a specific type (#438 <https://github.com/ros2/launch/issues/438>)
  * Delete unnecessary loading of 'launch.frontend.interpolate_substitution_method' entry point that was never used (#434 <https://github.com/ros2/launch/issues/434>)
  * Avoid side effect, defer until needed (#432 <https://github.com/ros2/launch/issues/432>)
  * Remove pkg_resources, replace it with the use of the more modern importlib* libraries. (#430 <https://github.com/ros2/launch/issues/430>)
  * Remove the asyncio.wait loop parameter. (#429 <https://github.com/ros2/launch/issues/429>)
  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Defer shutdown if already running (#427 <https://github.com/ros2/launch/issues/427>)
  * Add respawn and respawn_delay support (#426 <https://github.com/ros2/launch/issues/426>)
  * Fix up parser.py (#414 <https://github.com/ros2/launch/issues/414>)
  * Contributors: CHEN, Chris Lalancette, Dan Rose, Dirk Thomas, Ivan Santiago Paunovic, Jorge Perez, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 03 Aug 2020 22:00:00 -0000

ros-jazzy-launch (0.10.2-1noble) noble; urgency=high

  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-launch (0.10.1-1noble) noble; urgency=high

  * removed deprecated loop parameter call (#387 <https://github.com/ros2/launch/issues/387>) (#410 <https://github.com/ros2/launch/issues/410>)
  * Contributors: Zahi Kakish

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-jazzy-launch (0.10.0-1noble) noble; urgency=high

  * remove Python 3.5 specific logic (#401 <https://github.com/ros2/launch/issues/401>)
  * use typing.TYPE_CHECKING to avoid flake8 failure (#398 <https://github.com/ros2/launch/issues/398>)
  * Suppress flake8 A003 warning (#395 <https://github.com/ros2/launch/issues/395>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unnecessary overloads (#389 <https://github.com/ros2/launch/issues/389>)
  * Simplify type annotation (#388 <https://github.com/ros2/launch/issues/388>)
  * Add support for anon substitution (#384 <https://github.com/ros2/launch/issues/384>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Fix parsing of cmd line arguments in XML and yaml file (#379 <https://github.com/ros2/launch/issues/379>)
  * Only allow ExecuteProcess actions to execute once (#375 <https://github.com/ros2/launch/issues/375>)
  * Fix grammar in docstring (#373 <https://github.com/ros2/launch/issues/373>)
  * Release loop lock before waiting for it to do work (#369 <https://github.com/ros2/launch/issues/369>)
  * Adds Command substitution (#367 <https://github.com/ros2/launch/issues/367>)
  * Handle case where output buffer is closed during shutdown (#365 <https://github.com/ros2/launch/issues/365>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Jorge Perez, Peter Baughman, Shane Loretz, Steven! Ragnarök, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-jazzy-launch (0.9.5-1noble) noble; urgency=high

  * fix PendingDeprecationWarning about asyncio.Task.current_task (#355 <https://github.com/ros2/launch/issues/355>)
  * import collections.abc (#354 <https://github.com/ros2/launch/issues/354>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-jazzy-launch (0.9.4-1noble) noble; urgency=high

  * Fix ExecuteProcess.get_sub_entities() implementation. (#353 <https://github.com/ros2/launch/issues/353>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 23:00:00 -0000

ros-jazzy-launch (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-launch (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-launch (0.9.1-1noble) noble; urgency=high

  * Fix error in ExecuteProcess parse classmethod (#339 <https://github.com/ros2/launch/issues/339>)
  * Add support to ignore fields when parsing ExecuteProcess. (#336 <https://github.com/ros2/launch/issues/336>)
  * Make parse_substitution handle zero-width text. (#335 <https://github.com/ros2/launch/issues/335>)
  * Fix InvalidLaunchFileError error message. (#333 <https://github.com/ros2/launch/issues/333>)
  * Fix default Action describe_conditional_sub_entities() implementation. (#334 <https://github.com/ros2/launch/issues/334>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 22:00:00 -0000

ros-jazzy-launch (0.9.0-1noble) noble; urgency=high

  * Fix "'GroupAction' object has no attribute 'actions'" error (#327 <https://github.com/ros2/launch/issues/327>)
  * install package marker and manifest (#323 <https://github.com/ros2/launch/issues/323>)
  * Make IncludeLaunchDescription force launch_arguments (#284 <https://github.com/ros2/launch/issues/284>)
  * fix expectation for test on Windows (#319 <https://github.com/ros2/launch/issues/319>)
  * Improve error message when a failing to include launch file (#315 <https://github.com/ros2/launch/issues/315>)
  * Fix launch argument listing/checking issues (#310 <https://github.com/ros2/launch/issues/310>)
  * Support LaunchService injection into pre-shutdown tests. (#308 <https://github.com/ros2/launch/issues/308>)
  * Fix test_expose_decorators failures (#307 <https://github.com/ros2/launch/issues/307>)
  * Add assertWaitForStartup method to match assertWaitForShutdown (#278 <https://github.com/ros2/launch/issues/278>)
  * Add support for conditions in IncludeLaunchDescription actions (#304 <https://github.com/ros2/launch/issues/304>)
  * Convert list comprehension to generator (#300 <https://github.com/ros2/launch/issues/300>)
  * Don't create a log directory every time the launch logger is imported. (#299 <https://github.com/ros2/launch/issues/299>)
  * Avoid registering atexit on windows (#297 <https://github.com/ros2/launch/issues/297>)
  * Correct launch service sigterm handling (#294 <https://github.com/ros2/launch/issues/294>)
  * fix encoding handling when writing to stdout and log files (#280 <https://github.com/ros2/launch/issues/280>)
  * More idiomatic typecheck-only imports (#285 <https://github.com/ros2/launch/issues/285>)
  * Add deprecated argument to LaunchDescriptionn (#291 <https://github.com/ros2/launch/issues/291>)
  * Add support for not optional environment variable substitution (#288 <https://github.com/ros2/launch/issues/288>)
  * Add parsing method to PythonExpression substitution (#281 <https://github.com/ros2/launch/issues/281>)
  * Revert "Revert "[execute_process] emulate_tty configurable and defaults to true"" (#277 <https://github.com/ros2/launch/issues/277>)
  * Refactor launch.frontend file loading (#271 <https://github.com/ros2/launch/issues/271>)
  * Revert "[execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)" (#276 <https://github.com/ros2/launch/issues/276>)
  * fix linter warnings (#274 <https://github.com/ros2/launch/issues/274>)
  * [execute_process] emulate_tty configurable and defaults to true (#265 <https://github.com/ros2/launch/issues/265>)
  * Add parsing method for dirname substitution (#273 <https://github.com/ros2/launch/issues/273>)
  * Add parsing methods for SetEnviromentVariable and UnsetEnviromentVariable (#272 <https://github.com/ros2/launch/issues/272>)
  * Add parsing method for DeclareLaunchArgument (#270 <https://github.com/ros2/launch/issues/270>)
  * Add frontend module in launch, launch_xml and launch_yaml packages (#226 <https://github.com/ros2/launch/issues/226>)
  * Add PathJoinSubstitution (#266 <https://github.com/ros2/launch/issues/266>)
  * Fix EventHandler type hints (#264 <https://github.com/ros2/launch/issues/264>)
  * Fix build_cop #214 <https://github.com/ros2/launch/issues/214> (#259 <https://github.com/ros2/launch/issues/259>)
  * Fix get_launch_arguments to not crash on conditional sub entities (#257 <https://github.com/ros2/launch/issues/257>)
  * Use stderr logger instead of buffer (#258 <https://github.com/ros2/launch/issues/258>)
  * Line buffering of logger output (#255 <https://github.com/ros2/launch/issues/255>)
  * Contributors: Chris Lalancette, Dan Rose, Daniel Stonier, Dirk Thomas, Jacob Perron, Michel Hidalgo, Peter Baughman, Scott K Logan, William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Sep 2019 22:00:00 -0000

ros-jazzy-launch (0.8.3-1noble) noble; urgency=high

  * Changed IncludeLaunchDescription to not check declared arguments of subentities in order to work around an issue preventing nested arugments until a better fix can be done. (#249 <https://github.com/ros2/launch/issues/249>)
  * Fixed a bug where logging messages could be duplicated and improved logging's apperance on the CLI. (#250 <https://github.com/ros2/launch/issues/250>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-launch (0.8.2-1noble) noble; urgency=high

  * Moved some common code to LaunchDescriptionSource (#234 <https://github.com/ros2/launch/issues/234>)
  * Please flake8 on launch package. (#241 <https://github.com/ros2/launch/issues/241>)
  * Allow substitution in variable_name of LaunchConfiguration substitutions (#235 <https://github.com/ros2/launch/issues/235>)
  * Add support for custom launch log file handling (#233 <https://github.com/ros2/launch/issues/233>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-launch (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-jazzy-launch (0.8.0-1noble) noble; urgency=high

  * Added SetEnvironmentVariable and UnsetEnvironmentVariable actions #164 <https://github.com/ros2/launch/issues/164> (#216 <https://github.com/ros2/launch/issues/216>)
  * Used one sentence per line in docs. (#219 <https://github.com/ros2/launch/issues/219>)
  * Added support for external ExecuteProcess output overrides. (#218 <https://github.com/ros2/launch/issues/218>)
  * Logged the launch logging config before running. (#217 <https://github.com/ros2/launch/issues/217>)
  * Fixed treating stderr output separate from stdout. (#212 <https://github.com/ros2/launch/issues/212>)
  * Replaced characters with marker when there is a decoding error. (#202 <https://github.com/ros2/launch/issues/202>)
  * Added LaunchLogger class. (#145 <https://github.com/ros2/launch/issues/145>)
  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed to close subprocess transport on execute action cleanup. (#198 <https://github.com/ros2/launch/issues/198>)
  * Updated logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Updated to cancel Timers on shutdown. (#181 <https://github.com/ros2/launch/issues/181>)
  * Fixed timer global init of event handler. (#184 <https://github.com/ros2/launch/issues/184>)
  * Added support for required nodes (#179 <https://github.com/ros2/launch/issues/179>)
  * Updated to ensure event handlers add event to context locals. (#177 <https://github.com/ros2/launch/issues/177>)
  * Added OnProcessStart event handler. (#171 <https://github.com/ros2/launch/issues/171>)
  * Corrected OnProcessExit typing for Callable. (#170 <https://github.com/ros2/launch/issues/170>)
  * Removed whitespace in keyword arg. (#169 <https://github.com/ros2/launch/issues/169>)
  * Contributors: Dirk Thomas, Jacob Perron, Kyle Fazzari, Michel Hidalgo, Peter Baughman, Shane Loretz, William Woodall, ivanpauno, oswinso

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 12 Apr 2019 22:00:00 -0000

ros-jazzy-launch (0.7.3-1noble) noble; urgency=high

  * Fixed deprecation warning related to collections.abc (#158 <https://github.com/ros2/launch/pull/158>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 23:00:00 -0000

ros-jazzy-launch (0.7.2-1noble) noble; urgency=high

  * Changed the signit handler os it executes the shutdown event synchronously (#156 <https://github.com/ros2/launch/issues/156>)
  * Contributors: Jonathan Chapple, Steven! Ragnarök, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-jazzy-launch (0.7.1-1noble) noble; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-jazzy-launch (0.7.0-1noble) noble; urgency=high

  * Fixed a bug to ensure that shutdown event is handled correctly (#154 <https://github.com/ros2/launch/issues/154>)
    * There was a potential race condition in between when the shutdown event is emitted and the rest of the shutdown handling code.
    * This introduces an additional await to ensure that the event is emitted before proceeding.
  * Fixed example to always use shell to avoid inconsistency of time being a shell command or executable (#150 <https://github.com/ros2/launch/issues/150>)
  * Added tests for class_tools module and fix is_a_subclass() (#142 <https://github.com/ros2/launch/issues/142>)
  * Added tests for the utilities module (#143 <https://github.com/ros2/launch/issues/143>)
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added UnregisterEventHandler action (#110 <https://github.com/ros2/launch/issues/110>)
  * Changed LaunchService so that it returns ``1`` on caught exceptions from within launch (#136 <https://github.com/ros2/launch/issues/136>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * Added self descriptions for substitutions
    * Added tracebacks back to the output by default
    * Added new actions for declaring launch arguments
    * Added new method on LaunchDescription which gets all declared arguments within
    * Added ability to pass arguments when including a launch description
    * Added description for local variables used in Node action
    * Added ability to show and pass launch arguments on the command line
    * Added an accessor for the Condition of an Action
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added UnsetLaunchConfiguration action and tests (#134 <https://github.com/ros2/launch/issues/134>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added GroupAction for conditionally including other actions and scoping (#133 <https://github.com/ros2/launch/issues/133>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added optional name argument to ExecuteProcess (#129 <https://github.com/ros2/launch/issues/129>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added a new pair of actions for pushing and popping launch configurations (#128 <https://github.com/ros2/launch/issues/128>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Dirk Thomas, Jacob Perron, Michael Carroll, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-jazzy-launch (0.6.0-1noble) noble; urgency=high

  * Added a way to include other Python launch files (#122 <https://github.com/ros2/launch/issues/122>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Implemented the concept of Action conditions (#121 <https://github.com/ros2/launch/issues/121>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added IncludeLaunchDescription action (#120 <https://github.com/ros2/launch/issues/120>)
    * fixes #115 <https://github.com/ros2/launch/issues/115>
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-jazzy-launch (0.5.2-1noble) noble; urgency=high

  * Made a change to avoid reentrancy of signal handlers (#99 <https://github.com/ros2/launch/issues/99>)
  * Ignored warning for builtins A003 (#100 <https://github.com/ros2/launch/issues/100>)
  * Fixed exception when launch process with environment variables (#96 <https://github.com/ros2/launch/issues/96>)
  * Contributors: Shane Loretz, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-jazzy-launch (0.5.1-1noble) noble; urgency=high

  * Changed the behavior when signaling SIGINT to subprocesses on Windows, where it now does SIGTERM instead, because SIGINT causes a ValueError about SIGINT being an unsupported signal number. (#94 <https://github.com/ros2/launch/issues/94>)
  * Fixed a bug by avoiding reentrancy in the SIGINT signal handler. (#92 <https://github.com/ros2/launch/issues/92>)
  * Various Windows fixes. (#87 <https://github.com/ros2/launch/issues/87>)
    * LaunchService.run() now returns non-0 when there are exceptions in coroutines.
    * Updated ``launch_counters.py`` example for Windows.
    * Fixed a bug that would cause mismatched asyncio loops in some futures.
    * Addressed the fact that ``signal.SIGKILL`` doesn’t exist on Windows, so emulate it in our Event.
    * Fixed an issue that resulted in spurious asyncio errors in LaunchService test.
  * Contributors: William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-jazzy-launch (0.5.0-1noble) noble; urgency=high

  * Fixed a bug where unclosed asyncio loops caused a traceback on the terminal on exit, but only in Python 3.5 (#85 <https://github.com/ros2/launch/issues/85>)
  * Changed to use variable typing in comments to support python 3.5 (#81 <https://github.com/ros2/launch/issues/81>)
  * New launch API (#74 <https://github.com/ros2/launch/issues/74>)
    * See pull request for more details and links to architecture documentation and the design doc.
  * Moved launch source files into launch.legacy namespace (#73 <https://github.com/ros2/launch/issues/73>)
    * This was in preparation for the new launch API.
  * [for launch.legacy] fixed a flake8 warning (#72 <https://github.com/ros2/launch/issues/72>)
  * [for launch.legacy] set zip_safe to avoid warning during installation (#71 <https://github.com/ros2/launch/issues/71>)
  * [for launch.legacy] Fix hang on keyboard interrupt (#69 <https://github.com/ros2/launch/issues/69>)
    * When keyboard interrupt exception occurs loop.run_forever is called. But there is no loop.stop call. This causes a hang.
  * Contributors: Devin, Dirk Thomas, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Jun 2018 22:00:00 -0000


